org.apache.ignite.internal.processors.cache

## Class GridCacheIterator<K,V,T>

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheIterator<K,V,T>

All Implemented Interfaces:
  Serializable, Iterator<T>, GridSerializableIterator<T>

    public class GridCacheIterator<K,V,T>
    extends Object
    implements GridSerializableIterator<T>

Cache-backed iterator.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridCacheIterator(GridCacheContext<K,V> cctx, Iterable<? extends javax.cache.Cache.Entry<K,V>> c, IgniteClosure<javax.cache.Cache.Entry<K,V>,T> trans, IgnitePredicate<javax.cache.Cache.Entry<K,V>>[] filter)`

### Method Summary

Methods
`boolean` `hasNext()`
`T` `next()`
`void` `remove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridCacheIterator

    public GridCacheIterator(GridCacheContext<K,V> cctx,
                     Iterable<? extends javax.cache.Cache.Entry<K,V>> c,
                     IgniteClosure<javax.cache.Cache.Entry<K,V>,T> trans,
                     IgnitePredicate<javax.cache.Cache.Entry<K,V>>[] filter)

Parameters:
  `cctx` - Context.
  `c` - Cache entry collection.
  `trans` - Transformer.
  `filter` - Filter.

### Method Detail

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<T>`

#### next

    public T next()

Specified by:
  `next` in interface `Iterator<T>`

#### remove

    public void remove()

Specified by:
  `remove` in interface `Iterator<T>`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016